import { Transform } from 'stream';
const convertToBlockComponent = (block) => {
    var _a, _b;
    return ({
        indent: (_b = (_a = block.match(/^\s+/)) === null || _a === void 0 ? void 0 : _a[0].length) !== null && _b !== void 0 ? _b : 0,
        text: block
    });
};
export default class ConvertToBlockStream extends Transform {
    constructor() {
        super({ objectMode: true });
        this.rest = '';
    }
    _transform(chunk, _encoding, callback) {
        const lines = (this.rest + chunk.toString()).split('\n');
        this.rest = lines.pop();
        for (const line of lines) {
            this.push(convertToBlockComponent(line));
        }
        callback();
    }
    _final(callback) {
        if (this.rest !== '')
            this.push(convertToBlockComponent(this.rest));
        return callback();
    }
}
//# sourceMappingURL=ConvertToBlockStream.js.map